<!DOCTYPE html>
<html>
<head>
	<title>Calculator</title>
  <link rel="stylesheet" href="./whtToEat.css">
</head>
<body>
	<h1 class="title">오늘 점심 뭐 먹을까?</h1>
	<div id="calculator">
    <div>
      <input type="text" id="output">
      <ul id="list">
        <li class="item" id="item1"></li>
        <li class="item" id="item2"></li>
        <li class="item" id="item3"></li>
        <li class="item" id="item4"></li>
      </ul>
      <!-- todo7: here -->
    </div>
	</div>
  <script>
    function showValue(value) {
      document.getElementById('output').value = value ?? '';
    }

    function onButtonClick(text) {
      const button = document.getElementById('pick_button')
      if (button && text) {
        button.onclick = () => showValue(text)
      } 
    }

    function addList1(text) {
      if (!text) return;
      document.getElementById(`item1`).innerText = text;
    }

    function addList2(text) {
      if (!text) return;
      document.getElementById(`item2`).innerText = text;
    }

    function addList3(text) {
      if (!text) return;
      document.getElementById(`item3`).innerText = text;
    }

    function addList4(text) {
      if (!text) return;
      document.getElementById(`item4`).innerText = text;
    }

    function getRandomNumber() {
      const num = Math.floor(Math.random() * 10);
      if (num === 0 || num > 4) return getRandomNumber();
      return num
    }
  </script>
	<script src="./whtToEat.js"></script>
</body>
</html>

